package com.example.archigupta.applicationclassexamle;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class SecondGameScreenActivity extends Activity {

    Button score,upScore,downScore;
    GlobalState state;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second_game_screen);

        state = ((GlobalState) getApplicationContext());
        score= (Button)findViewById(R.id.score_button);
        upScore= (Button)findViewById(R.id.up_button);
        downScore= (Button)findViewById(R.id.down_button);

        score.setText(String.valueOf(state.getGameScore()));
    }

    @Override
    protected void onResume() {
        super.onResume();

    }

    public void incrementScore(View view) {
        state.incrementScore();
        score.setText(String.valueOf(state.getGameScore()));
    }

    public void decrementScore(View view){
        state.decrementScore();
        score.setText(String.valueOf(state.getGameScore()));
    }

    public void previousScreen(View view) {
        Intent intent = new Intent(this, FirstGameScreenActivity.class);
        startActivity(intent);
        finish();
    }
}